[BlueOnyx:11242] Re: yum broken

Michael Stauber mstauber at blueonyx.it
Thu Aug 30 16:39:53 PET 2012


Hi Jeff,

> Skipping the running kernel: kernel-2.6.32-131.6.1.el6.i686
> --> Restarting Dependency Resolution with new changes.
> --> Running transaction check
> --> Finished Dependency Resolution
> Error: Trying to remove "yum", which is protected
>  You could try using --skip-broken to work around the problem
> ** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:
> base-ftp-glue-1.2.0-77BX29.el6.noarch is a duplicate with base-ftp-glue-1.2.0-77BX28.el6.noarch
> base-ftp-locale-ja-1.2.0-77BX29.el6.noarch is a duplicate with base-ftp-locale-ja-1.2.0-77BX28.el6.noarch
> base-ftp-ui-1.2.0-77BX29.el6.noarch is a duplicate with base-ftp-ui-1.2.0-77BX28.el6.noarch
> 
> Rebuilt the rpmdb, but the duplicate issue remains. Where do I go from here? HELP! (LOL)

Please see "[BlueOnyx:11238] Re: Yum Problem" for the explanation and a
procedure.

In your case you'll not be looking for "glibc", but "base-ftp" instead.

So do a "rpm -qa|grep base-ftp" to get a list of all RPMs and version
numbers of that name and then remove the newest RPMs with that name via
"rpm -e --justdb name+version"

Example:

rpm -e --justdb base-ftp-locale-ja-1.2.0-77BX28.el6.noarch

You will have to do that for each of the conflicting RPMs.


-- 
Mit freundlichen Grüßen / With best regards

Michael Stauber
Stauber Multimedia Design
Hauptstrasse 32
D-56244 Goddert / GERMANY
http://www.solarspeed.net
mstauber at solarspeed.net

Check out Aventurin{e} - The Linux Virtualization Appliance!
http://www.aventurin.net

-- 
With best regards

Michael Stauber



More information about the Blueonyx mailing list